> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Uncontain file



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/asset/file/{id}/uncontain
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/asset/file/{id}/uncontain:
    post:
      tags:
        - Asset
      summary: Uncontain file
      operationId: AssetController_uncontainFile
      parameters:
        - name: id
          required: true
          in: path
          description: File identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContainmentDto'
      responses:
        '200':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '500':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ContainmentDto:
      type: object
      properties:
        caseId:
          type: string
          description: Case ID for containment context
        detectionId:
          type: string
          description: Detection ID for containment context
        integrationId:
          type: string
          description: >-
            Integration ID to use for containment. Required for files; optional
            for endpoints/users (falls back to asset integration).
        userContainActions:
          type: array
          description: User containment actions to perform
          items:
            type: string
            enum:
              - disable
              - reset_password
              - revoke_sessions
        endpointContainActions:
          type: array
          description: Endpoint containment actions to perform
          items:
            type: string
            enum:
              - isolate
              - lock
        userUncontainActions:
          type: array
          description: User uncontainment actions to perform
          items:
            type: string
            enum:
              - enable
        endpointUncontainActions:
          type: array
          description: Endpoint uncontainment actions to perform
          items:
            type: string
            enum:
              - unisolate
              - unlock
        fileContainActions:
          type: array
          description: File containment actions to perform
          items:
            type: string
            enum:
              - delete
              - quarantine
        fileUncontainActions:
          type: array
          description: File uncontainment actions to perform
          items:
            type: string
            enum:
              - unquarantine
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````